<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 01-10-2009 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

require_once 'Includes/configs/admin_config.php';
require_once 'Includes/configs/admin_functions.php';

if (file_exists("./Includes/language/$site_lang/admin_global.php")) {
	include_once "./Includes/language/$site_lang/admin_global.php";
} else {
	include_once "./Includes/language/en/admin_global.php";
}
if (file_exists("../Includes/language/$site_lang/global.php")) {
	include_once "../Includes/language/$site_lang/global.php";
} else {
	include_once "../Includes/language/en/global.php";
}
if (file_exists("./Includes/language/$site_lang/".basename(__FILE__)."")) {
	include_once "./Includes/language/$site_lang/".basename(__FILE__)."";
} else {
	include_once "./Includes/language/en/".basename(__FILE__)."";
}

$smarty = new Smarty;
$paginate = new SmartyPaginate();

//check that your logged in
if (isset($_SESSION["logged_in"])) {
	//User not an administrator, redirect to main login page automatically.
	if (!checkIfAdmin($_SESSION["user"],$_SESSION["pass"])) {
		header("Location: ../login.php");
		exit();
	} else {
		//set variables for logged in
		session_regenerate_id();
		$smarty->assign("logged_in",1);
		$smarty->assign("username",$_SESSION["user"]);
		
		if (checkIfAdmin($_SESSION["user"],$_SESSION["pass"])) {
			$_SESSION["admin"] = 1;
			$smarty->assign("stateslist",getStatesList());
	
			//Administrator is viewing page, so display all
			if (isset($_SESSION["admin"])) {
				$smarty->assign("admin",1);
				$paginate->disconnect();
				//required connect for pagination
				$paginate->connect();
				//set items per page
				$paginate->setLimit($users_per_page);
				$paginate->setPageLimit(15);
				
				if ($use_user_approval) {
					$smarty->assign("use_user_approval",1);
				}
				if ($use_user_location) {
					$smarty->assign("use_user_location",$use_user_location);
					$smarty->assign("countrylist",getCountryList());
				}
	
				//Checks for actions   
				if (isset($_GET["action"]) && $_GET["action"] == 'delete') {
					$userid = (int)$_GET["userid"];
					$res = deleteUser($userid);
					if ($res == 99)
						$smarty->assign('success',DELETE_USER);
				
				} elseif (isset($_GET["action"]) && $_GET["action"] == 'fullview') {
					$userid = (int)$_GET["userid"];
					$smarty->assign('details',getUserDetails($_GET["userid"]));
				} elseif (isset($_POST["submit"]) && $_POST["submit"] == UPDATE) {
					$_POST = codeClean($_POST);
					
					if (isset($_POST["approved"])) {
						$_POST["approved"] = $_POST["approved"];
					} else {
						$_POST["approved"] = 0;
					}
	
					$res = updateUserDetails($_POST);
					if ($res == 99) {
						$smarty->assign('success',UPDATE_SUCCESS);
						$smarty->assign('details',getUserDetails($_POST["id"]));
					}
				}
				//assign db results to the template
				$smarty->assign('results', getUserDetails("all"));
				//assign {$paginate} var
				$paginate->assign($smarty);
			}
		}
	}
} else {
	header("Location: ../login.php");
	exit();
}

$smarty->assign("listuser",1);
$smarty->display('listuser.tpl');
?>