<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 04-23-2011 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

require_once './Includes/configs/functions.php';
require_once './Includes/configs/mail.inc.php';
require_once './Includes/libs/Smarty.class.php';

if (file_exists("./Includes/language/$site_lang/global.php")) {
	include_once "./Includes/language/$site_lang/global.php";
} else {
	include_once "./Includes/language/en/global.php";
}
if (file_exists("./Includes/language/$site_lang/".basename(__FILE__)."")) {
	include_once "./Includes/language/$site_lang/".basename(__FILE__)."";
}

$smarty = new Smarty;
$smarty->force_compile = $force_compile_enabled;

$file = basename(__FILE__, ".php");
if (file_exists("templates/$template/$file.tpl")) {
	$smarty->template_dir="templates/$template";
} else {
	$smarty->template_dir="templates/Default";
}

//Check if single user mode 1 or multi-user mode 0
if ($site_mode == 0) {
	$smarty->assign("site_mode",1);
}
//The user is already logged in.
if (isset($_SESSION["logged_in"])){
	$smarty->assign("logged_in",1);
	//check privs to find out if user 
	//is a seller, admin or user
	$status = checkPrivs();
	$smarty->assign("$status",1);
}

if (!empty($referers)) {
	checkReferer($referers);
}

$error = '';
if (!empty($error)) {
	$smarty->assign("error_message",CONTACT_INVALID_NUMERIC_ERROR);
}

//check if captcha is turned on 
$smarty->assign("useCaptcha","$use_captcha");
	
//get our data from the post procedure if exists
if (isset($_POST["submit"])) {
	$_POST = viewOnPage($_POST);
	$content = '';

	//if not using captcha set codes to match so no error
	if (empty($use_captcha)) {
		$_POST["captcha"] = 1;
		$_SESSION["security_code"] = (int)$_POST["captcha"];
	}

	//check form fields from submit and return errors or success
	$res = checkSubmitForm($_POST["from_email"],$_POST["from_name"],$_POST["subject"],$_POST["msg"],$_POST["captcha"],$_SESSION["security_code"]);

	//Field checks were successful
	if ($res == 99) {
		$smarty->assign("success",CONTACT_SUCCESS);
		unset($_SESSION["security_code"]);

		$member = '';
		$news = '';
		if (isset($_POST["member"]))
			$member = CONTACT_MEMBER;
		if (isset($_POST["news"]))
			$news = CONTACT_NEWSLETTER;
		
		//check posted information and do stuff accordingly
		if (isset($_POST["from_name"]))
			$from_name = $_POST["from_name"];				
		if (isset($_POST["company"]))
			$company = $_POST["company"];
		if (isset($_POST["from_email"]))
			$from_email = $_POST["from_email"];
		if (isset($_POST["phone"]))
			$phone = $_POST["phone"];
		if (isset($_POST["msg"]))
			$msg = $_POST["msg"];
		if (isset($_POST["subject"]))
			$subject = $_POST["subject"];
		
		if (isset($_POST["seller_contact_id"]) && is_numeric($_POST["seller_contact_id"])) {
			$sellerid = (int)$_POST["seller_contact_id"];
			
			if (isset($_POST["tell_a_friend"]) && $_POST["tell_a_friend"] == 1) {
				if (validateEmail($_POST["friend_email"])) {
					//build correct email from lang file for TELL-A-FRIEND
					$to_email = $_POST["friend_email"];
					$contact_body = CONTACT_TELL_A_FRIEND_BODY;
					$contact_subject = CONTACT_TELL_A_FRIEND_SUBJECT;
					if (validateName($_POST["friend_name"])) {
						$friend_name = $_POST["friend_name"];
					}
				} else {
					//if invalid friend email set an error
					$content .= "" . EMPTY_FRIEND_EMAIL ."<br />";
					$smarty->assign("error_message",$content);
					$smarty->assign("friend_email_error",1);
				}
			} else {
				//build correct email for contact seller
				$to_email = getSellerEmail($sellerid);
				if (empty($_POST["listing"])) {
					$contact_body = GENERAL_CONTACT_SELLER_BODY;
					$contact_subject = GENERAL_CONTACT_SELLER_SUBJECT;
				} else {
					$contact_body = CONTACT_SELLER_BODY;
					$contact_subject = CONTACT_SELLER_SUBJECT;
				}
			}

			if (isset($to_email)) {
				//build email to be sent to seller or friend from lang file
				//contact info from sender
				$body = preg_replace("!%NAME%!","$from_name", $contact_body);
				$body = preg_replace("!%COMPANY%!","$company", $body);
				$body = preg_replace("!%FROM_EMAIL%!","$from_email", $body);
				$body = preg_replace("!%PHONE%!","$phone", $body);
				//additional message
				$body = preg_replace("!%MSG%!","$msg", $body);
				//build subject
				$tmp_subject = preg_replace("!%NAME%!","$from_name", $contact_subject);
				$subject = preg_replace("!%ADDITIONAL%!","$subject", $tmp_subject);

				sendEmail($to_email,$subject,$body,$from_name,$from_email);
			
			} else {
				$smarty->assign("error_message",INVALID_SELLER); 
			}
		} else {
			$to_email = $admin_email;
			
			//build email to be sent to site admin from lang file
			$body = preg_replace("!%NAME%!","$from_name",CONTACT_US_BODY);
			$body = preg_replace("!%COMPANY%!","$company", $body);
			$body = preg_replace("!%FROM_EMAIL%!","$from_email", $body);
			$body = preg_replace("!%PHONE%!","$phone", $body);
			$body = preg_replace("!%MSG%!","$msg", $body);
			$body = preg_replace("!%MEMBER%!","$member", $body);
			$body = preg_replace("!%NEWS%!","$news", $body);
			$subject = preg_replace("!%ADDITIONAL%!","$subject",CONTACT_US_SUBJECT);
			
			sendEmail($to_email,$subject,$body,$from_name,$from_email);
		}
	} else {
		unset($_SESSION["security_code"]);

		$smarty->assign("formfromname",$_POST["from_name"]);
		$smarty->assign("formcompany",$_POST["company"]); 
		$smarty->assign("formphone",$_POST["phone"]); 
		$smarty->assign("formfromemail",$_POST["from_email"]);
		$smarty->assign("formsubject",$_POST["subject"]);
		$smarty->assign("formmsg",$_POST["msg"]);

		//Errors during form submission	so build error list
		if (in_array(1,$res)) {
			$content .= "" . NOT_VALID_EMAIL ."<br />";
			$smarty->assign("from_mail_error",1);
		}
		if (in_array(2,$res)) {
			$content .= "" . EMPTY_NAME ."<br />";
			$smarty->assign("from_user_error",1);
		} 
		if (in_array(3,$res)) {
			$content .= "" . EMPTY_SUBJECT ."<br />";
			$smarty->assign("subject_error",1);
		} 
		if (in_array(4,$res)) {
			$content .= "" . EMPTY_MSG ."<br />";
			$smarty->assign("msg_error",1);
		}
		if (in_array(5,$res)) {
			$content .= "" . SECURITY_CODE_MISMATCH ."<br />";
			$smarty->assign("cap_error",1);
		}
		if (in_array(6,$res)) {
			$content .= "" . EMPTY_SECURITY_CODE ."<br />";
			$smarty->assign("cap_error",1);
		}
		$smarty->assign("error_message",$content);
	}
}

$smarty->assign("contact",1);
$smarty->display('contact.tpl');
?>